about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authortoonn <toonn@toonn.io>2019-01-15 00:20:11 +0100
committertoonn <toonn@toonn.io>2019-01-15 00:38:55 +0100
commit7cd7a7e718e4e6781071babda378ab089e3535b5 (patch)
tree572e118b5e9633b600c69df75890311ffb82445b
parent108d2bca3ace218d98ab31a5d64c2d52b527ed02 (diff)
downloadranger-7cd7a7e718e4e6781071babda378ab089e3535b5.tar.gz
Move djvu txt preview to handle_mime
-rwxr-xr-xranger/data/scope.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 44660e1a..dfa0289f 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -94,13 +94,6 @@ handle_image() {
         #     convert "${FILE_PATH}" "${IMAGE_CACHE_PATH}" && exit 6
         #     exit 1;;
 
-        # DJVU
-        image/vnd.djvu)
-            # Preview as text conversion (requires djvulibre)
-            djvutxt "${FILE_PATH}" | fmt -w ${PV_WIDTH} && exit 5
-            exiftool "${FILE_PATH}" && exit 5
-            exit 1;;
-
         # Image
         image/*)
             local orientation
@@ -191,6 +184,13 @@ handle_mime() {
             # pygmentize -f "${pygmentize_format}" -O "style=${PYGMENTIZE_STYLE}" -- "${FILE_PATH}" && exit 5
             exit 2;;
 
+        # DjVu
+        image/vnd.djvu)
+            # Preview as text conversion (requires djvulibre)
+            djvutxt "${FILE_PATH}" | fmt -w ${PV_WIDTH} && exit 5
+            exiftool "${FILE_PATH}" && exit 5
+            exit 1;;
+
         # Image
         image/*)
             # Preview as text conversion